Bug 1235032 - spec file is out of date: missing dependencies, incorrect patches, changed project URL
Summary: spec file is out of date: missing dependencies, incorrect patches, changed pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quiterss
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 20:10 UTC by Christian Stadelmann
Modified: 2015-07-13 19:06 UTC (History)
1 user (show)

Fixed In Version: quiterss-0.17.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:06:37 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2015-06-23 20:10:47 UTC
Description of problem:
the spec file does not specify dependencies on sqlite3, qtsingleapplication, qftp and sqlitex.
It removes 3rdparty/sqlite_qt4 (which does not exist), but not 3rdparty/sqlite (which it should remove).
QuiteRSS is no more hosted on googlecode but on quiterss.org and https://github.com/QuiteRSS/quiterss/

Comment 1 Eugene A. Pivnev 2015-06-30 06:14:51 UTC
(In reply to Christian Stadelmann from comment #0)
> Description of problem:
> the spec file does not specify dependencies on sqlite3, qtsingleapplication,

BuildRequires:  qtsingleapplication-devel, pkgconfig(sqlite3)

What?

> qftp and sqlitex.

These things not exist in repos.

> It removes 3rdparty/sqlite_qt4 (which does not exist), but not
> 3rdparty/sqlite (which it should remove).
> QuiteRSS is no more hosted on googlecode but on quiterss.org and
> https://github.com/QuiteRSS/quiterss/

Will be fixed, thanks.

Comment 2 Eugene A. Pivnev 2015-06-30 06:20:13 UTC
(In reply to Christian Stadelmann from comment #0)

> It removes 3rdparty/sqlite_qt4 (which does not exist),

It removes sqlite_qt4?x

> but not 3rdparty/sqlite (which it should remove).

Not exists

Comment 3 Fedora Update System 2015-06-30 07:21:34 UTC
quiterss-0.17.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/quiterss-0.17.7-1.fc22

Comment 4 Christian Stadelmann 2015-06-30 13:25:23 UTC
(In reply to Eugene A. Pivnev from comment #1)
> (In reply to Christian Stadelmann from comment #0)
> > Description of problem:
> > the spec file does not specify dependencies on sqlite3, qtsingleapplication,
> 
> BuildRequires:  qtsingleapplication-devel, pkgconfig(sqlite3)

It is not about `BuildRequires`, but about `Requires`. `BuildRequires` lists what is needed to build the package. `Requires` lists what is needed to run the executable (quiterss). It looks like they are quite mixed up anyway.

> > qftp and sqlitex.
> 
> These things not exist in repos.

The package qftp exists: https://apps.fedoraproject.org/packages/qftp

Sqlitex is no package in Fedora, but according to the packaging guidelines [1] it should be made available as separate package.

> 
> > It removes 3rdparty/sqlite_qt4 (which does not exist), but not
> > 3rdparty/sqlite (which it should remove).
> > QuiteRSS is no more hosted on googlecode but on quiterss.org and
> > https://github.com/QuiteRSS/quiterss/
> 
> Will be fixed, thanks.

Thank you!


(In reply to Eugene A. Pivnev from comment #2)
> (In reply to Christian Stadelmann from comment #0)
> 
> > It removes 3rdparty/sqlite_qt4 (which does not exist),
> 
> It removes sqlite_qt4?x
> 
> > but not 3rdparty/sqlite (which it should remove).
> 
> Not exists

In the source code [2] there is no folder named `sqlite_qt4`. It is named `sqlite`. Because of this the spec file does not remove the folder with this line (see [3]):
`rm -rf 3rdparty/{qtsingleapplication,sqlite_qt4?x}`

It should instead be
`rm -rf 3rdparty/qtsingleapplication`
`rm -rf 3rdparty/sqlite`


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries
[2] e.g. on https://github.com/QuiteRSS/quiterss/tree/d189c743d489fa7aad5f225c48aabe9c132f41a2/3rdparty or in the source tarballs
[3] https://pkgs.fedoraproject.org/cgit/quiterss.git/tree/quiterss.spec#n22

Comment 5 Eugene A. Pivnev 2015-06-30 13:42:15 UTC
(In reply to Christian Stadelmann from comment #4)

> > BuildRequires:  qtsingleapplication-devel, pkgconfig(sqlite3)
> 
> It is not about `BuildRequires`, but about `Requires`. `BuildRequires` lists
> what is needed to build the package. `Requires` lists what is needed to run
> the executable (quiterss). It looks like they are quite mixed up anyway.

As it compiled with -devel - it requires these libs automatically:

bash-4.3$ rpm -q --requires quiterss | grep sqlite
libsqlite3.so.0
bash-4.3$ rpm -q --requires quiterss | grep Single
libQtSolutions_SingleApplication-2.6.so.1

> > > qftp and sqlitex.
> > 
> > These things not exist in repos.
> 
> The package qftp exists: https://apps.fedoraproject.org/packages/qftp

This is not same qftp :-)
You point to CLI ftp utilities, but bundled "qftp" is Qt ftp library.

> Sqlitex is no package in Fedora, but according to the packaging guidelines

I know, but have no time to make separate qftp and sqlitex packages.
In plans.

> In the source code [2] there is no folder named `sqlite_qt4`. It is named
> `sqlite`. Because of this the spec file does not remove the folder with this
> line (see [3]):
> `rm -rf 3rdparty/{qtsingleapplication,sqlite_qt4?x}`
> 
> It should instead be
> `rm -rf 3rdparty/qtsingleapplication`
> `rm -rf 3rdparty/sqlite`

No.
I use release tarbals: https://github.com/QuiteRSS/quiterss/releases

Comment 6 Fedora Update System 2015-06-30 20:19:38 UTC
Package quiterss-0.17.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing quiterss-0.17.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10969/quiterss-0.17.7-1.fc22
then log in and leave karma (feedback).

Comment 7 Christian Stadelmann 2015-07-04 19:58:58 UTC
Sorry, you are right.

And btw: thanks for the update!

Comment 8 Fedora Update System 2015-07-13 19:06:37 UTC
quiterss-0.17.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.